function fh = plot_bar(y1, xlb, col, y_labels, y_limits, y_ticks)
label_size = 18;
tick_size = 16;

fh = figure(); colormap(col);
h = bar(y1);
ylim(y_limits(1,:));
set(gca, 'xTick', [1:3]);
set(gca, 'xTickLabel', xlb);



set(gca, 'yTick', y_ticks{1}); set(gca, 'FontSize', tick_size);
ch = get(h, 'Children'); fvd = get(ch, 'Faces'); fvcd = get(ch, 'FaceVertexCData');
for f = 1:length(y1), fvcd(fvd(f,:)) = f; end
set(ch, 'FaceVertexCData', fvcd);
set(ch, 'EdgeColor', 'k', 'LineWidth', 1.5);
ylabel(y_labels{1}, 'FontSize', label_size, 'interpreter', 'none');

set(gcf, 'Position', [100 100 700 1200]);
set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'inches');
set(gcf, 'PaperPosition', [0.25 2.5 7 12]);