function fh = plot_bars(y1, y2, xlb, col, y_labels, y_limits, y_ticks)
label_size = 18;
tick_size = 16;

fh = figure(); colormap(col);
f1 = @(x,y) bar(x,y,0.36);
f2 = @(x,y) bar(x,y,0.36);
[ax h1 h2] = plotyy(0.8:2.8, y1, 1.2:3.2, y2, f1, f2);
ylim(ax(1), y_limits(1,:)); ylim(ax(2), y_limits(2,:));
set(ax(1), 'xTick', [1:3]);
set(ax(1), 'xTickLabel', xlb);
set(ax(2), 'xTick', []);

h = {'h1', 'h2'};
for n = 1:length(h),
  set(ax(n), 'yTick', y_ticks{n}); set(ax(n), 'FontSize', tick_size);
  ch = get(eval(h{n}), 'Children'); fvd = get(ch, 'Faces'); fvcd = get(ch, 'FaceVertexCData');
  for f = 1:length(y1), fvcd(fvd(f,:)) = f; end
  set(ch, 'FaceVertexCData', fvcd);
  set(ch, 'EdgeColor', 'k', 'LineWidth', 1.5);
  ylabel(ax(n), y_labels{n}, 'FontSize', label_size, 'interpreter', 'none');
end

set(gcf, 'Position', [100 100 700 1200]);
set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'inches');
set(gcf, 'PaperPosition', [0.25 2.5 7 12]);