col = [0 84 178; % blue
      0 142 31; % green
      255 144 31]/255; % orange
xlb = {'Sc Illumina SE', 'Sc dUTP', 'Ce Illumina PE'};

% library complexity
y1 = [38.5 35.8 38.2];
y2 = [nan 84.0 81.2];
fh = plot_bars(y1, y2, xlb, col, {'Unique single reads [%]', 'Unique pairs [%]'}, [0 50; 0 100], {[0:5:50], [0:5:100]});
print(fh, '-depsc','-r300', '../Figures/lib_complex.eps');


% CV, number of segments
y1 = [1.17 0.76 0.93];
y2 = [1.95 1.85 1.48];
fh = plot_bars(y1, y2, xlb, col, {'Average CV', 'Number of segments per kilobase [%]'}, [0 2; 0 2], {[0:0.1:2], [0:0.1:2]});
print(fh, '-depsc','-r300', '../Figures/evenness.eps');


% comparison to array
y1 = [0.80 0.84 0.76];
y2 = [1.05 0.94 0.90];
% y2 = [1.05 0.94 0.86];
fh = plot_bars(y1, y2, xlb, col, {'Correlation', 'RMSE'}, [0 1.05; 0 2.1], {[0:0.1:1], [0:0.1:2]});
print(fh, '-depsc','-r300', '../Figures/corr_ta.eps');


% strand specificity
y1 = [0.9 0.6 8.5];
y2 = [0.6 0.6 0.2];
fh = plot_bar(y1, xlb, col, {'Outside annotation [%]'}, [0 10], {[0:1:10]});
print(fh, '-depsc','-r300', '../Figures/strand_sp_non_anno.eps');
fh = plot_bar(y2, xlb, col, {'Antisense [%]'}, [0 1], {[0:0.1:1]});
print(fh, '-depsc','-r300', '../Figures/strand_sp_antisense.eps');

